sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SQOOP-3360) Fix hive-exec dependency issues in Gradle
Date Fri, 10 Aug 2018 08:26:00 GMT

    [ https://issues.apache.org/jira/browse/SQOOP-3360?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16575936#comment-16575936
] 

ASF subversion and git services commented on SQOOP-3360:
--------------------------------------------------------

Commit ec18e6f47ebe4308495052afb4a2fd6f9ad0102d in sqoop's branch refs/heads/trunk from [~BoglarkaEgyed]
[ https://git-wip-us.apache.org/repos/asf?p=sqoop.git;h=ec18e6f ]

SQOOP-3360: Fix hive-exec dependency issues in Gradle

(Szabolcs Vasas via Boglarka Egyed)


> Fix hive-exec dependency issues in Gradle
> -----------------------------------------
>
>                 Key: SQOOP-3360
>                 URL: https://issues.apache.org/jira/browse/SQOOP-3360
>             Project: Sqoop
>          Issue Type: Bug
>    Affects Versions: 1.4.7
>            Reporter: Boglarka Egyed
>            Assignee: Szabolcs Vasas
>            Priority: Major
>         Attachments: SQOOP-3360.patch
>
>
> It turned out during making SQOOP-3345 work with Gradle that there are issues with the
dependency handling which cause problems with Gradle. Root cause of the problem seems to
be the hive-exec dependency which also contains its own dependencies pulling in incorrect
libs and versions runtime. This has to be cleaned up via better dependency management.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message